## @id $Id$

##       1         2         3         4         5         6         7         8
## 45678901234567890123456789012345678901234567890123456789012345678901234567890

exampledir = ${docdir}/examples
example_PROGRAMS = smartpointer arguments shared
if HAVE_STACKTRACE
example_PROGRAMS += exceptionhandling
endif
example_DATA = ${smartpointer_SOURCES} ${exceptionhandling_SOURCES}	\
               ${arguments_SOURCES}

if HAVE_STACKTRACE
exceptionhandling_SOURCES = exceptionhandling.cxx
exceptionhandling_LDADD = ${top_builddir}/src/.libs/libmrw.la
endif

smartpointer_SOURCES = smartpointer.cxx
smartpointer_LDADD = ${top_builddir}/src/.libs/libmrw.la

arguments_SOURCES = arguments.cxx

shared_SOURCES = shared.cxx

MAINTAINERCLEANFILES = makefile.in